STRUCT DRM_GEM_CMA_O(9)

NAME
struct_drm_gem_cma_object - GEM object backed by CMA memory allocations

SYNOPSIS

struct drm_gem_cma_object {
  struct drm_gem_object base;
  dma_addr_t paddr;
  struct sg_table * sgt;
  void * vaddr;
};

MEMBERS

base
    base GEM object

paddr
    physical address of the backing memory

sgt
    scatter/gather table for imported PRIME buffers

vaddr
    kernel virtual address of the backing memory

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT